from abc import abstractmethod, ABC

from modules.base.configuration.base_server_settings import BaseServerSettings


class BaseHelperABC(ABC):
    def __init__(self):
        ABC.__init__(self)

    @abstractmethod
    def get_config(self, g_id: int) -> BaseServerSettings:
        pass
